from __future__ import absolute_import, unicode_literals
from celery import shared_task
from .service import Service
from .models import Job


@shared_task
def run_job(job_id):
    api = Service()
    api.update_jobs_status()
    job = Job.objects.get(id=job_id)

    # run job nonstop
    if job.status == Job.FINISHED and job.interval == Job.NON:
        print('NONSTOP RUN spider for job: {}'.format(job_id))
        api.run_job(job_id)

    # run job with some interval
    if job.interval and job.interval != Job.NON:
        print('INTERVAL  RUN spider for job: {}'.format(job_id))
        api.run_job(job_id)

    return 'spider was running'
